<h2>Add User</h2>

<%= form_for(@user, url: admin_add_user_path) do |f| %>
  <div class="filed">
    <%= f.label :email %><br/>
    <%= f.email_field :email, autofocus: true, autocomplete: 'email' %>
  </div>

  <div class="filed">
    <%= f.label :password %><br/>
    <% if @minimum_password_length %>
      <em>(<%= @minimum_password_length %> characters minimum)</em>
    <% end %>
    <%= f.password_field :password, autocomplete: "add_user-password" %>
  </div>

  <div class="field">
    <%= f.label :password_confirmation %><br/>
    <%= f.password_field :password_confirmation, autocomplete: 'add_user-password' %>
  </div>

  <div class="field">
    <%= f.label :role_id %><br/>
    <% roles = Role.all.map { |role| [role.name, role.id] } %>
    <%= f.select :role_id, roles %>
  </div>

  <div class="actions">
    <%= f.submit "Create" %>
  </div>
<% end %>